Class ChangePlaylistDetailsRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<String, ChangePlaylistDetailsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<String, ChangePlaylistDetailsRequest.Builder>
se.michaelthelin.spotify.requests.data.playlists.ChangePlaylistDetailsRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<String, ChangePlaylistDetailsRequest.Builder>
- Enclosing class:
ChangePlaylistDetailsRequest
public static final class ChangePlaylistDetailsRequest.Builder
extends AbstractDataRequest.Builder<String, ChangePlaylistDetailsRequest.Builder>
Builder class for building a
ChangePlaylistDetailsRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.collaborative(Boolean collaborative) The collaborative state setter.description(String description) The playlist description setter.The playlist name setter.playlist_id(String playlist_id) The playlist ID setter.The public status setter.protected ChangePlaylistDetailsRequest.Builderself()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newChangePlaylistDetailsRequest.Builder.Modifying an user's public playlists requires authorization of the
playlist-modify-publicscope; Modifying an user's private playlist (including collaborative playlists) requires theplaylist-modify-privatescope.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.- See Also:
-
-
Method Details
-
playlist_id
The playlist ID setter.- Parameters:
playlist_id- The Spotify ID for the playlist.- Returns:
- A
ChangePlaylistDetailsRequest.Builder. - See Also:
-
name
The playlist name setter.- Parameters:
name- Optional. The new name for the playlist.- Returns:
- A
ChangePlaylistDetailsRequest.Builder.
-
public_
The public status setter.- Parameters:
public_- Optional. Iftruethe playlist will be public, iffalseit will be private.- Returns:
- A
ChangePlaylistDetailsRequest.Builder.
-
collaborative
The collaborative state setter.- Parameters:
collaborative- Optional. Iftrue, the playlist will become collaborative and other users will be able to modify the playlist in their Spotify client. Note: You can only set this totrueon non-public playlists.- Returns:
- A
ChangePlaylistDetailsRequest.Builder.
-
description
The playlist description setter.- Parameters:
description- Optional, value for playlist description as displayed in Spotify Clients and in the Web API.- Returns:
- A
ChangePlaylistDetailsRequest.Builder.
-
build
The request build method.- Returns:
- A custom
ChangePlaylistDetailsRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<String, ChangePlaylistDetailsRequest.Builder>- Returns:
- This instance.
-